﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CitrixSystemVerifier
{
    class RequiredInstalledComponent
    {
        public RequiredInstalledComponent()
        {
            m_Name = null;
            m_Message = null;
            m_Context = null;
            m_MinimumProductVersion = null;
            m_MaximumProductVersion = null;
        }

        public RequiredInstalledComponent(string Name, string Message, string Context, string MinimumProductVersion)
        {
            m_Name = Name;
            m_Message = Message;
            m_Context = Context;
            m_MinimumProductVersion = MinimumProductVersion;
            m_MaximumProductVersion = null;
        }

        public RequiredInstalledComponent(string Name, string Message, string Context, string MinimumProductVersion, string MaximumProductVersion)
        {
            m_Name = Name;
            m_Message = Message;
            m_Context = Context;
            m_MinimumProductVersion = MinimumProductVersion;
            m_MaximumProductVersion = MaximumProductVersion;
        }

        public bool IsValid ()
        {
            if (string.IsNullOrEmpty(m_Name))
                return false;
            return true;
        }

        private string m_Name;
        public string Name
        {
            get { return m_Name; }
            set { m_Name = value; }
        }

        private string m_MinimumProductVersion;
        public string MinimumProductVersion
        {
            get { return m_MinimumProductVersion; }
            set { m_MinimumProductVersion = value; }
        }

        private string m_MaximumProductVersion;
        public string MaximumProductVersion
        {
            get { return m_MaximumProductVersion; }
            set { m_MaximumProductVersion = value; }
        }

        private string m_Message;
        public string Message
        {
            get { return m_Message; }
            set { m_Message = value; }
        }

        private bool m_Found;
        public bool Found
        {
            get { return m_Found; }
            set { m_Found = value; }
        }

        private string m_FoundVersion;
        public string FoundVersion
        {
            get { return m_FoundVersion; }
            set { m_FoundVersion = value; }
        }

        private string m_Context;
        public string Context
        {
            get { return m_Context; }
            set { m_Context = value.Replace('+', ','); }
        }
    }
}
