﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CitrixSystemVerifier
{
    class RequiredProcess
    {
        public RequiredProcess()
        {
            m_Name = null;
            m_Context = null;
            m_Message = null;
        }

        public RequiredProcess(string Name)
        {
            m_Name = Name;
            m_Context = null;
            m_Message = null;
        }

        public RequiredProcess(string Name, string Context)
        {
            m_Name = Name;
            m_Context = Context;
            m_Message = null;
        }

        public RequiredProcess(string Name, string Context, string Message)
        {
            m_Name = Name;
            m_Context = Context;
            m_Message = Message;
        }

        public bool IsValid ()
        {
            if (string.IsNullOrEmpty(m_Name))
                return false;
            return true;
        }

        private string m_Name;
        public string Name
        {
            get { return m_Name; }
            set { m_Name = value.Trim(); }
        }

        private string m_Context;
        public string Context
        {
            get { return m_Context; }
            set { m_Context = value.Replace('+', ','); }
        }

        private string m_Message;
        public string Message
        {
            get { return m_Message; }
            set { m_Message = value.Trim(); }
        }
    }
}
